Bug 505517 - SELinux is preventing fprintd (fprintd_t) "read write" system_dbusd_t.
SELinux is preventing fprintd (fprintd_t) "read write" system_dbusd_t.
Product: Fedora
Classification: Fedora
Component: nss_ldap (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
: 505896 (view as bug list)
Depends On:
Blocks: 517000
  Show dependency treegraph
Reported: 2009-06-12 04:06 EDT by Tore Anderson
Modified: 2010-06-28 08:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 08:55:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tore Anderson 2009-06-12 04:06:57 EDT
Description of problem:

I get SELinux warnings about fprintd whenever I log in, use "su", etc.

Version-Release number of selected component (if applicable):

Fully updated F11, fprintd-0.1-9.git04fd09cfa.fc11.i586.

How reproducible:


Steps to Reproduce:
1. Log in, use "su", and so on.
Actual results:

SELinux warnings appear.

Expected results:

No SELinux warnings appear.

Additional info:

The full alert follows:


SELinux is preventing fprintd (fprintd_t) "read write" system_dbusd_t.

Detailed Description:

SELinux denied access requested by fprintd. It is not expected that this access
is required by fprintd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:fprintd_t:s0-s0:c0.c1023
Target Context                system_u:system_r:system_dbusd_t:s0-s0:c0.c1023
Target Objects                socket [ tcp_socket ]
Source                        fprintd
Source Path                   /usr/libexec/fprintd
Port                          <Unknown>
Host                          echo
Source RPM Packages           fprintd-0.1-9.git04fd09cfa.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-39.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     echo
Platform                      Linux echo #1 SMP Wed
                              May 27 17:28:22 EDT 2009 i686 i686
Alert Count                   4
First Seen                    fr. 12. juni 2009 kl. 09.42 +0000
Last Seen                     fr. 12. juni 2009 kl. 09.57 +0000
Local ID                      9684d342-0389-4c1c-89e6-5b6122e67546
Line Numbers                  

Raw Audit Messages            

node=echo type=AVC msg=audit(1244793421.814:33597): avc:  denied  { read write } for  pid=2799 comm="fprintd" path="socket:[9202]" dev=sockfs ino=9202 scontext=system_u:system_r:fprintd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tclass=tcp_socket

node=echo type=SYSCALL msg=audit(1244793421.814:33597): arch=40000003 syscall=11 success=yes exit=0 a0=8ed74e8 a1=8eda230 a2=8ed7008 a3=8eda2c8 items=0 ppid=2798 pid=2799 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="fprintd" exe="/usr/libexec/fprintd" subj=system_u:system_r:fprintd_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2009-06-12 08:22:42 EDT
What are you using for an authentication?  ldap?  NIS?

This looks like a leaked file descriptor from dbus.  Since fprind should not need access to a TCP Socket file descriptor owned by dbus.  Dbus shouold not be using a tcp socket unless it is used by an authentication tool.

In the past we have seen pam_nssldap leak file descriptors like this.

You can ignore this avc since it will be blocking nothing.
Comment 2 Tore Anderson 2009-06-12 11:33:50 EDT
You're right - I'm using LDAP both as the backend for both PAM and NSS.

I also submitted bug #505515 which is a similar issue from kerneloops.  Perhaps they have the same cause, and should be merged?

Comment 3 Daniel Walsh 2009-06-12 13:47:40 EDT
Nalin it is back....
Comment 4 Daniel Walsh 2009-06-17 10:23:56 EDT
*** Bug 505896 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2010-04-27 10:48:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2010-06-28 08:55:20 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.